기술 자료

​
​

Development

User Acquisition

Monetization

산업 분야

Vivox Unreal SDK

Vivox Unreal SDK

이 페이지는 선택한 언어로 제공되지 않습니다.
Vivox
​
​
Vivox Unreal SDK
  • Overview
  • Get started
  • Release notes
  • Developer guide
    • Set up your project
    • Unity Authentication Service in Unreal
    • Create voice and text channels
    • Messaging
      • Send and receive group text messages
      • Directed text
      • Send data through text messages
      • Text chat developer guide
        • Adaptive chat filter
        • Text evidence management
          • Evidence report API
          • Evidence report HTTP request
          • Evidence report HTTP response example
        • Anti-flooding
        • Large text channel setting
        • Channel-specific options
    • Audio management
    • Muting
    • In-game moderation
    • Android app development
    • iOS app development
    • Server-side recording
    • Speech-to-text audio transcription
    • Text-to-speech
    • Real-time recording
    • Transmission
    • Troubleshooting
  • Tutorials
  • Reference
  1. Vivox Unreal SDK documentation

Evidence report API

Use the Evidence report API to retrieve select messages from a channel or direct message conversation.
읽는 시간 2분
최근 업데이트: 8달 전

Use the evidence report API to retrieve select messages from the server.
The following is an example of how a request to text evidence management is formatted:
curl "https://services.api.unity.com/vivox/text-evidence-management/v1/organizations/:yourOrgID/projects/:yourProjectID/text-evidence-report?target_uri=add-your-vivox-channel-uri" -u service-acct-username:service-account-password
The target_uri parameter is required. It maps to a Vivox channel ID or a user ID for a direct message request. A direct message request must have a target_uri and a sender_uri where both values are user URIs. The order of the target_uri and the sender_uri does not matter because direct message requests return the entire conversation between two users.
The request accepts the following optional query parameters:

Parameter

Description

sender_uriA Vivox user URI, use it to filter the response by message sender. Note that this value is required for direct message requests.
target_uriThe URI of the message receiving entity (channel or user).
start_tsAll messages reported at this time stamp and after this time stamp in Unix time format.
end_tsAll messages reported before and including this time stamp in Unix time format.
as_fileTrue or false value to return the response as a file.
file_typeIf as_file is true, specify the file type. The default is CSV.
num_messagesThe number of messages to return. The maximum value of 500 messages is returned per request query if this number is not provided.
참고
A request with a specified number of messages returns a next field containing the Unix timestamp pointing to the next message in the results if there are more messages to return.
Regardless of the number of messages that exist; at most 500 messages (message_ids) are returned per query. If more than 500 messages are wanted, you can continue to send new queries for subsequent message results until no more results exist.
To retrieve the next page of the message results, use the next value provided in the results as the start_ts parameter in your next query. A next value of null indicates that there are no more messages to return.

Copyright © 2026 Unity Technologies
법률 정보개인정보 처리방침쿠키Documentation Terms of Use개인 정보 판매 또는 공유 금지개인정보 보호 선택(쿠키 설정)

'Unity', Unity 로고 및 기타 Unity 상표는 미국 및 기타 지역 내 Unity Technologies 또는 그 계열사의 상표 또는 등록상표입니다(자세한 내용은 여기에서 확인하세요). 기타 명칭 또는 브랜드는 해당 소유자의 상표입니다.

일부 페이지는 편의를 위해 기계 번역되었으며 부정확한 내용이 있을 수 있습니다. 정보가 상충되는 경우, 영어 버전을 우선으로 참조하세요.


    이 페이지의 문제 보고